changeset 437:2e058007c6bc prerelease

update_board better parsing of user input, press a key to continue to improve experience of double-clickers
author Giulio Moro <giuliomoro@yahoo.it>
date Sat, 18 Jun 2016 02:21:04 +0100
parents cea66c2af560
children ad3f61134bb4
files scripts/update_board
diffstat 1 files changed, 6 insertions(+), 3 deletions(-) [+]
line wrap: on
line diff
--- a/scripts/update_board	Fri Jun 17 04:52:43 2016 +0100
+++ b/scripts/update_board	Sat Jun 18 02:21:04 2016 +0100
@@ -98,7 +98,7 @@
     printf "y\n"
   else 
     read REPLY;
-    [ $REPLY !=  y ] && [ $REPLY != Y ] && { echo "Aborting..."; exit 1; }
+    [ -z $REPLY ] || { [ $REPLY !=  y ]  && [ $REPLY != Y ]; } && { echo "Aborting..."; exit 1; }
   fi
 else
   echo "Installing Bela core code in $BBB_ADDRESS:$BBB_BELA_HOME"
@@ -147,7 +147,7 @@
 error_handler $?
 
 printf "Generating on-board documentation..."
-ssh $BBB_ADDRESS "cd $BBB_BELA_HOME; doxygen &> /dev/null"
+#ssh $BBB_ADDRESS "cd $BBB_BELA_HOME; doxygen &> /dev/null"
 error_handler $? "\nError while generating Doxygen documentation\n"
 
 #-------------
@@ -170,4 +170,7 @@
 
 ssh $BBB_ADDRESS make -C $BBB_BELA_HOME --no-print-directory idestartup nostartup && echo "The board will now run the IDE at startup, but startup of the Bela program has been disabled. To enable it, use the set_startup.sh script" 
 
-
+{ [ $ALWAYS_YES -eq 1 ] || [ $SHLVL -ge 1 ]; } && printf "\nSetup complete.\n\n" || {
+  printf '\nSetup complete, press any key to continue\n\n'
+  read 
+}